<?php
namespace App\Controller;

use App\Kernel;
use App\Security\AccessTokenHandler;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class ClientLoaderController extends AbstractController
{

    public function __construct(private Kernel $kernel, private AccessTokenHandler $handler)
    {}

    #[Route('/login/{slug}', name: 'app_client_loader')]
    public function index(string $slug): Response
    {
        $authName = $this->handler->parseMessage($slug, "AUTH_LOGIN_SEED", "5 min");

        $size_pck = filesize("godot/index.pck");
        $size_wasm = filesize("godot/index.wasm");

        return $this->render('client_loader/index.html.twig',
            [
                'env' => $this->kernel->getEnvironment(),
                'controller_name' => $authName,
                'token' => $this->handler->encodeMessage($authName, 'AUTH_SEED'),
                'size_wasm' => $size_wasm,
                'size_pck' => $size_pck
            ]);
    }
}
